×

Discussion Board

Results 1 to 7 of 7
  1. #1
    Super Contributor
    Join Date
    Dec 2005
    Location
    England,UK
    Posts
    1,600

    Symbian^3 SDK 0.8 and Qt 4.6.2 fails need RVT

    Dear All,
    Symbian^3 SDK 0.8 and Qt 4.6.2 fails requiring RVT.
    I have removed all reference to ARM from the qmake generated file
    Windows Vista SP2 with plug-in patches applied

    The first attempt "make release-gcce" says "cannot find RVT"
    up arrow retry same command.
    Now trying "make release-gcce" (second time) the GCCE compiler selected and starts to compile and fails the linker is unable to find "qtmain.lib" not from Qt but from the application. Possibly this is a library from RVT, but its not Qt or GCCE and the application is a simple HelloWorld.

    The Symbian 5th Edition 0.9 works fine "Nokia_Symbian3_SDK_v0_8" clearly does not

    Downloaded from http://www.forum.nokia.com/info/sw.n..._One_SDKs.html

    Perhaps I needed to use "Nokia QT SDK 1.0"
    Thanks
    Jim
    Last edited by jimgilmour1; 2010-05-07 at 05:22. Reason: version number

  2. #2
    Super Contributor
    Join Date
    Dec 2005
    Location
    England,UK
    Posts
    1,600

    Re: Symbian^3 SDK 0.8 and Qt 4.6.2 fails need RVT

    Hi all,

    The problem is that when you install Symbian3^ you need to rebuild the library
    whether you have RVT or GCCE.
    5th Edition 1.0 does not have the RVT problem

    The answer I have written in Qt discussion in thread "qtmain.lib missing"
    http://discussion.forum.nokia.com/fo...3&postcount=16

    cd c:\Qt\4.6.2> make release-gcce will rebuild using the new Symbian3^ SDK

    Thanks,
    Jim

  3. #3
    Registered User
    Join Date
    Jan 2008
    Posts
    16

    Re: Symbian^3 SDK 0.8 and Qt 4.6.2 fails need RVT

    Hi all,

    I meet the same error with Qt 4.6.2 & Symbian^3 SDK v0.8.

    The problem happens when I execute the command "bldmake bldfiles"

    BLDMAKE ERROR: Can't find any RVCT installation.

    I am porting a existing Qt project(S60v5), which was developed using SDK Nokia_N97_SDK_v0.8.

    There is no error when I using the Nokia_N97_SDK_v0.8 SDK to build the project.


    Anyone know how to fix this problem?

    Thanks.

    Edwin Mak

    Zensis Limited

  4. #4
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Oslo, Norway
    Posts
    28,689

    Re: Symbian^3 SDK 0.8 and Qt 4.6.2 fails need RVT

    If you do not have RVCT, you may want to remove ARMVx targets from bld.inf then, and stick with GCCE.

  5. #5
    Registered User
    Join Date
    Jan 2008
    Posts
    16

    Re: Symbian^3 SDK 0.8 and Qt 4.6.2 fails need RVT

    Hi wizard_hu_,

    I tried remove the ARMVx in the file bld.inf,

    and succeed to build "make winscw-udeb" with no error,

    but still error exist when building "make release-gcce"

    it said:

    make[2]: *** No rule to make target `\Symbian\Nokia_Symbian3_SDK_v0.8\epoc32\release\gcce\urel\qtmain.lib



    And I have checked in Nokia N97 SDK, qtmain.lib is also not exist in the path "\epoc32\release\gcce\urel\",

    but I can build both release & debug with no error.

    I have did nothing with the bld.inf when I build the N97 Qt project, but still everything goes fine.


    Anyone know why the above is happening?

    Thanks a lot,

    Edwin Mak

    Zensis Limited.

  6. #6
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Oslo, Norway
    Posts
    28,689

    Re: Symbian^3 SDK 0.8 and Qt 4.6.2 fails need RVT

    How about reading #2 again?

  7. #7
    Registered User
    Join Date
    Dec 2009
    Posts
    1

    Re: Symbian^3 SDK 0.8 and Qt 4.6.2 fails need RVT

    Quote Originally Posted by edwinywmak View Post
    Hi all,

    I meet the same error with Qt 4.6.2 & Symbian^3 SDK v0.8.

    The problem happens when I execute the command "bldmake bldfiles"

    BLDMAKE ERROR: Can't find any RVCT installation.

    I am porting a existing Qt project(S60v5), which was developed using SDK Nokia_N97_SDK_v0.8.

    There is no error when I using the Nokia_N97_SDK_v0.8 SDK to build the project.


    Anyone know how to fix this problem?

    Thanks.

    Edwin Mak

    Zensis Limited
    I solved this problem in this way:
    In file Qt\mkspecs\common\symbian\symbian-mmp.conf
    I commented this line:
    Code:
    SYMBIAN_PLATFORMS = WINSCW GCCE #ARMV5 ARMV6

Similar Threads

  1. Qt for Symbian development resources
    By liuxg in forum [Archived] Qt General ( Qt技术)
    Replies: 55
    Last Post: 2011-01-26, 04:06
  2. Symbian^3 SDK 0.8 build Qt 4.7 with sbs/raptor failed
    By cavendishqi in forum Tools and SDK Feedback (Closed)
    Replies: 9
    Last Post: 2010-12-31, 14:06
  3. automatic rotate screen on meamo
    By fily_love in forum Nokia N9
    Replies: 27
    Last Post: 2010-04-06, 08:37
  4. gsreamer-0.10-plugins-good+Phonon
    By niqt in forum Nokia N9
    Replies: 10
    Last Post: 2010-03-05, 09:56
  5. kinetic scrolling
    By stalep in forum Nokia N9
    Replies: 10
    Last Post: 2009-12-08, 12:41

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×